# Ninth International Obfuscated C Code Contest

View the `index.html` web page for the given winning entry for information on how
on how to compile it and how to run the winning program.
Look at the winning source and try to figure how it does what it does!
You may then wish to look at the Author's remarks for even more details.

A number of compilers had problems optimizing certain entries.
Some compilers do optimize, but the resulting program does not work.  By default
we have left off `-O` from compile lines.  You might want to add `-O` back, or
add it back for certain entries where performance is important. (This was
updated to use `-O3` in 202n though sometimes an entry does not work if the
compiler optimises the code and in this case it is disabled or explicitly set to
level 0.)

This year marked an all time high for number of entries as well as the
quality of entries.  Nearly twice the usual number of entries made it
to the final judging rounds.  Even when we raised the standards for
winning, we still wound up giving out a few more awards than in previous
years.  The new size rules size probably contributed to the overall
high quality.

FYI: By tradition, we do not record the count of the number entries,
nor do we give our our guess as to the number of entries
received.  For folks who wonder, we can say that **we consumed
about _2000 pages of output_ (printing between 2 and 4 normal
pages per side)** during the judging process this year.

The new instructions for submitting entries worked well - we were
able to write scripts to unpack them and eliminate duplicates.

As promised last year, we accepted programs that made use of the X
libraries for the first time.  We now consider ANSI C compilers to be
the "standard" version that the entries were compiled with.

Name and address information are separated from the actual program
prior to judging.  This eliminates any chance that we would bias our
judging for/against any person or group.  In the end, we are surprised
as you are to see who has won.  Even so, it is worth noting that
[Brian Westley](../authors.html#Brian_Westley) has submitted
a winning entry for the past 6 years!


## A few notes regarding future contests:

We did not give awards to some traditional contest categories such as
"_Best Layout_".  We felt that to do so would deny awards to more
deserving entries.  These categories have not been eliminated.  We will
likely be awarding them in future years.

We received a few entries whose instructions were rot13'd.  While
nothing was said about this in the rules, we found that it made the
judging process a little harder, so we may request that this not
be done this in the future.

Some thought has been given to a separate obfuscated perl contest.
Watch _comp.lang.perl_ for details!

Be sure to wait until the [1993 rules](../1993/rules.txt) are posted before
submitting entries.  We may fine tune the rules to reflect some of the ideas
above.

Please send us comments and suggestions what we have expressed above.
Also include anything else that you would like to see in future contests.
See [How to contact the IOCCC](../contact.html) for how to provide
us with your comments and suggestions today.

For those who appreciate a bit of Internet history, this is how
people used to contact the IOCCC in this given year, via [Unix to Unix CoPy
&lpar;UUCP&rpar;](https://en.wikipedia.org/wiki/UUCP#Mail_routing):

>   ...!{sun,pacbell,uunet,pyramid}!hoptoad!judges<br>
>   judges@toad.com

If you use, distribute or publish these entries in some way, please drop
us a line.  We enjoy seeing who, where and how the contest is used.


## Final Comments

**IMPORTANT NOTE**: The email addresses found above are for historical
purposes only, and should not be used today.  See
[contact.html](../contact.html) for up to date contact details
as well as details on how to provide fixes to any of the entries.
See also the [IOCCC FAQ](../faq.html) for additional information on the IOCCC.


## Credits:

We would like to thank Barbara Frezza for her role as official chef of
the contest.  Landon Noll and Larry Bassel appreciated the opportunity
to serve as official taste testers. Yummo!


<!--

    Copyright © 1984-2024 by Landon Curt Noll. All Rights Reserved.

    You are free to share and adapt this file under the terms of this license:

        Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)

    For more information, see:

        https://creativecommons.org/licenses/by-sa/4.0/

-->
